Page MenuHomePhabricator

[driver][macOS] Pick the system version for the deployment target if the SDK is newer than the system
ClosedPublic

Authored by arphaman on Jun 13 2017, 2:55 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

arphaman created this revision.Jun 13 2017, 2:55 PM
inouehrs added inline comments.
lib/Driver/ToolChains/Darwin.cpp
1133 ↗(On Diff #102425)

What these magic numbers mean (especially minor and micro versions)?
You may need some comments.

arphaman added inline comments.Jun 14 2017, 1:42 PM
lib/Driver/ToolChains/Darwin.cpp
1133 ↗(On Diff #102425)

I actually just took it from the function below which checks if the macOS version is valid (so we want 10.XX.XX). But looking at it again, I think that we don't really them here as the SDK version should will probably be valid. I'll update the patch and remove them from the code.

arphaman updated this revision to Diff 102607.Jun 14 2017, 2:32 PM

Remove redundant driver version correctness checks.

arphaman marked an inline comment as done.Jun 14 2017, 2:32 PM
dexonsmith accepted this revision.Jun 17 2017, 7:15 PM
dexonsmith added a subscriber: dexonsmith.

LGTM.

This revision is now accepted and ready to land.Jun 17 2017, 7:15 PM
This revision was automatically updated to reflect the committed changes.